package com.ffii.fpsms.m18.model

/** StSearch Type */
enum class StSearchType(val value: String) {
    PRODUCT("pro"),
    VENDOR("ven"),
    CUSTOMER("cus"),
    UNIT("unit"),
    CURRENCY("cur"),
    BOM("udfbomforshop"),
    BUSINESS_UNIT("virDept"),
}

/** M18 Common Master Data Request */
data class M18CommonListRequest (
    val stSearch: String? = null,
    val params: String? = null,
    val conds: String? = null,
)

data class M18CommonLineRequest (
    val id: Long,
    val params: String? = null,
)